Package com.openmeet.shared.data.storage

# Class GenericProxyDAO

java.lang.Object
com.openmeet.shared.data.storage.GenericProxyDAO

public class GenericProxyDAO extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> boolean`
  `genericProxyDoDelete(String condition, DAO<T> dao, PrintWriter out)`
  `static <T> List<T>`
  `genericProxyDoRetrieveByCondition(String condition, int offset, int row_count, DAO<T> dao, PrintWriter out)`
  `static <T> List<T>`
  `genericProxyDoRetrieveByCondition(String condition, DAO<T> dao, PrintWriter out)`
  `static <T> T`
  `genericProxyDoRetrieveByKey(String key, DAO<T> dao, PrintWriter out)`
  `static <T> boolean`
  `genericProxyDoSave(HashMap<String,?> values, DAO<T> dao, PrintWriter out)`
  `static <T> boolean`
  `genericProxyDoSave(T entity, DAO<T> dao, PrintWriter out)`
  `static <T> boolean`
  `genericProxyDoSaveOrUpdate(T entity, DAO<T> dao, PrintWriter out)`
  `static <T> boolean`
  `genericProxyDoUpdate(HashMap<String,?> values, String condition, DAO<T> dao, PrintWriter out)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### genericProxyDoRetrieveByCondition

    public static <T> List<T> genericProxyDoRetrieveByCondition(String condition, DAO<T> dao, PrintWriter out) throws SQLException
    Throws:
      `SQLException`

  - ### genericProxyDoRetrieveByCondition

    public static <T> List<T> genericProxyDoRetrieveByCondition(String condition, int offset, int row_count, DAO<T> dao, PrintWriter out) throws SQLException
    Throws:
      `SQLException`

  - ### genericProxyDoRetrieveByKey

    public static <T> T genericProxyDoRetrieveByKey(String key, DAO<T> dao, PrintWriter out) throws SQLException
    Throws:
      `SQLException`

  - ### genericProxyDoSave

    public static <T> boolean genericProxyDoSave(T entity, DAO<T> dao, PrintWriter out) throws SQLException
    Throws:
      `SQLException`

  - ### genericProxyDoSave

    public static <T> boolean genericProxyDoSave(HashMap<String,?> values, DAO<T> dao, PrintWriter out) throws SQLException
    Throws:
      `SQLException`

  - ### genericProxyDoUpdate

    public static <T> boolean genericProxyDoUpdate(HashMap<String,?> values, String condition, DAO<T> dao, PrintWriter out) throws SQLException
    Throws:
      `SQLException`

  - ### genericProxyDoSaveOrUpdate

    public static <T> boolean genericProxyDoSaveOrUpdate(T entity, DAO<T> dao, PrintWriter out) throws SQLException
    Throws:
      `SQLException`

  - ### genericProxyDoDelete

    public static <T> boolean genericProxyDoDelete(String condition, DAO<T> dao, PrintWriter out) throws SQLException
    Throws:
      `SQLException`